Bug 468372 - Invalid mount option when attempting to mount the volume "whatever"
Invalid mount option when attempting to mount the volume "whatever"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-24 09:04 EDT by Viktor Erdelyi
Modified: 2009-09-09 22:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 22:56:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viktor Erdelyi 2008-10-24 09:04:50 EDT
I don't know whether it is the proper place to report, please reroute if needed.

I get the above error message when I try to mount a NTFS volume via clicking on Places in Gnome, and selecting the volume in the removable devices menu.

I can provide you more info, if you tell me where to get it.
PS: I have ntfs-3g installed, and I have no entry for that volume in fstab. With Fedora 9, it worked.

Software versions: everything up-to-date (from fc10 updates).
Comment 1 Matthias Clasen 2008-10-25 00:29:41 EDT
Which hal and hal-info versions is this with ? 

We've just made some ntfs related changes there.
Comment 2 Viktor Erdelyi 2008-10-25 03:22:02 EDT
Name       : hal
Architektur : i386
Version    : 0.5.12
Ausgabe    : 7.20081022git.fc10

Name       : hal-info
Architektur : noarch
Version    : 20081022
Ausgabe    : 1.fc10
Comment 3 Srecko 2008-10-26 10:30:06 EDT
Confirmed.

When opening my local disk NTFS partition from "Places" or anywhere else in GNOME it reports the "invalid mount option" error. However a hpfs partition is handled properly (no errors on opening).

THis may be a gnome bug, since it works properly when opened in Dolphin and partition then appears mounted in /media (and after that, as it's mounted, works in Gnome).

Rawhide FC10 i386, fully updated.
hal-info-20081022-1.fc10.noarch
hal-0.5.12-7.20081022git.fc10.i386
Comment 4 Viktor Erdelyi 2008-10-26 13:24:56 EDT
> This may be a gnome bug, since it works properly when opened in Dolphin and
> partition
It works in KDE4, at least after providing a root password (for me). I don't remember giving a root password for mounting my NTFS partitions. I rather remember  Gnome mounting it as user for public RW access, and KDE could mount as a normal user too, after a particular hal/fuse/... update.
I mean, when it "worked", all my NTFS drives appeared on the Gnome desktop, and got automounted for doubleclick. Now they don't appear on the desktop, and I get the above stated error message when trying to mount it.
PS: it's possible that I had something related to the partition in fstab "back then". Now I don't.
Comment 5 shmuel siegel 2008-10-29 21:04:35 EDT
I am getting the same error when with ntfs file systems. VFAT file systems are correctly auto-mounting. The explicit mount command "mount /dev/sda6 /mnt" works properly and the file system is mounted as ntfs
Comment 6 Bug Zapper 2008-11-25 23:11:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Scott Glaser 2009-04-10 19:08:50 EDT
Viktor,
Have you updated you Fedora 10 installation or tried Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Viktor Erdelyi 2009-04-11 05:06:59 EDT
F10,
hal-0.5.12-14.20081027git.fc10.x86_64
hal-info-20090202-1.fc10.noarch

It seems to work with Gnome. However, the volumes are already automounted at login, and I can't unmount them because it tells me that only root can unmount it. But nothing related to the original issue. Will try with KDE 4.2. Just a minute.
Comment 9 Viktor Erdelyi 2009-04-11 05:11:31 EDT
Ok, KDE4.2 works too, I still can't unmount anything. It doesn't throw an error, but doesn't unmount it either.

But well, here is the fstab:
#Entry for /dev/sda5 :
UUID=BA6E71706E7125F3   /media/Freestorage      ntfs-3g defaults,nosuid,nodev,locale=de_DE.UTF-8        0       0
#Entry for /dev/sda1 :
UUID=8C2C81CF2C81B52C   /media/Windows\040Vista ntfs-3g defaults,nosuid,nodev,locale=de_DE.UTF-8        0       0
#Entry for /dev/sda2 :
UUID=9274BB3974BB1F43   /media/Windows\040XP    ntfs-3g defaults,nosuid,nodev,locale=de_DE.UTF-8        0       0

I didn't write that myself. I wonder whether it would work without them...
Comment 10 Viktor Erdelyi 2009-04-11 05:19:20 EDT
Ok, here we go. I commented them out. KDE can mount and unmount if I give the root password. GNOME can do it without the root password. Is this normal?
Comment 11 Scott Glaser 2009-09-09 08:06:40 EDT
Have you tried with the latest hal package in Fedora 11 or tried Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Viktor Erdelyi 2009-09-09 14:58:14 EDT
Umm sorry but no, I temporarily moved to openSUSE for other reasons (mainly fglrx, if that rings any bells).
Comment 13 Scott Glaser 2009-09-09 22:56:46 EDT
Based on the information from comment 12 I am going to close this bug, should you experience these issues again please file a new bug against the applicable component.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.